curl --request POST \
--url https://v1.api.altostrat.io/content/policy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Guest Wi-Fi Policy",
"block_adult": true,
"applications": [
"9a9b3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8b"
],
"safe_search": [
{
"id": "9a9f3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8f",
"option": "strict"
}
],
"dns_whitelist": [
"partner-portal.com"
],
"dns_blacklist": [
"<string>"
]
}
'import requests
url = "https://v1.api.altostrat.io/content/policy"
payload = {
"name": "Guest Wi-Fi Policy",
"block_adult": True,
"applications": ["9a9b3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8b"],
"safe_search": [
{
"id": "9a9f3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8f",
"option": "strict"
}
],
"dns_whitelist": ["partner-portal.com"],
"dns_blacklist": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Guest Wi-Fi Policy',
block_adult: true,
applications: ['9a9b3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8b'],
safe_search: [{id: '9a9f3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8f', option: 'strict'}],
dns_whitelist: ['partner-portal.com'],
dns_blacklist: ['<string>']
})
};
fetch('https://v1.api.altostrat.io/content/policy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "9a9a3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8a",
"name": "Standard Employee Policy",
"applications": [
"9a9b3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8b",
"9a9c3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8c"
],
"safe_search": [
{
"id": "9a9f3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8f",
"option": "strict"
}
],
"dns_whitelist": [
"internal.corp.com",
"status.altostrat.io"
],
"dns_blacklist": [
"malicious-site.net"
],
"block_adult": true,
"attachments": 5,
"created_at": "2025-10-29T13:04:44Z"
}{
"type": "invalid_request_error",
"code": "parameter_invalid",
"message": "The 'name' parameter cannot be empty.",
"doc_url": "https://docs.altostrat.io/errors/parameter_invalid"
}{
"type": "invalid_request_error",
"code": "parameter_invalid",
"message": "The 'name' parameter cannot be empty.",
"doc_url": "https://docs.altostrat.io/errors/parameter_invalid"
}{
"type": "invalid_request_error",
"code": "parameter_invalid",
"message": "The 'name' parameter cannot be empty.",
"doc_url": "https://docs.altostrat.io/errors/parameter_invalid"
}Create a DNS Content Filtering Policy
Creates a new DNS Content Filtering policy with specified filtering rules, application blocks, and safe search settings.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
A human-readable name for the policy.
"Guest Wi-Fi Policy"
If true, automatically blocks all applications categorized as adult content.
true
A list of application IDs to be blocked by this policy.
["9a9b3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8b"]
A list of Safe Search enforcement rules.
Show child attributes
Show child attributes
A list of FQDNs to always allow.
["partner-portal.com"]
A list of FQDNs to always block.
Response
The DNS policy was created successfully.
The unique identifier for the DNS policy.
"9a9a3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8a"
A human-readable name for the policy.
"Standard Employee Policy"
A list of application IDs to be blocked by this policy.
[
"9a9b3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8b",
"9a9c3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8c"
]
A list of Safe Search enforcement rules.
Show child attributes
Show child attributes
A list of fully qualified domain names (FQDNs) to always allow, overriding any blocking rules.
["internal.corp.com", "status.altostrat.io"]
A list of fully qualified domain names (FQDNs) to always block.
["malicious-site.net"]
If true, automatically blocks all applications categorized as adult content.
true
The number of sites currently using this policy.
5
The timestamp when the policy was created.
"2025-10-29T13:04:44Z"
Was this page helpful?